Reset a transform Generally available

POST /_transform/{transform_id}/_reset

Before you can reset it, you must stop it; alternatively, use the force query parameter. If the destination index was created by the transform, it is deleted.

Required authorization

  • Cluster privileges: manage_transform

Path parameters

  • transform_id string Required

    Identifier for the transform. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It has a 64 character limit and must start and end with alphanumeric characters.

Query parameters

  • force boolean

    If this value is true, the transform is reset regardless of its current state. If it's false, the transform must be stopped before it can be reset.

    Default value is false.

  • timeout string

    Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

    Default value is 30s.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • acknowledged boolean Required

      For a successful response, this value is always true. On failure, an exception is returned instead.

POST /_transform/{transform_id}/_reset
POST _transform/ecommerce_transform/_reset
resp = client.transform.reset_transform(
    transform_id="ecommerce_transform",
)
const response = await client.transform.resetTransform({
  transform_id: "ecommerce_transform",
});
response = client.transform.reset_transform(
  transform_id: "ecommerce_transform"
)
$resp = $client->transform()->resetTransform([
    "transform_id" => "ecommerce_transform",
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_transform/ecommerce_transform/_reset"
var response = await client.TransformManagement.ResetTransformAsync(transformId: "ecommerce_transform");
client.transform().resetTransform(r -> r
    .transformId("ecommerce_transform")
);
Response examples (200)
A successful response when the transform is reset.
{
  "acknowledged": true
}